Subject: Re: [PATCH v2 7/8] packed-backend: check whether the "packed-refs" is sorted

From: Junio C Hamano <[email-masked]>
Date: Fri, 31 Jan 2025 08:23:22 -0800

shejialuo <[email-masked]> writes:

> On Thu, Jan 30, 2025 at 11:02:18AM -0800, Junio C Hamano wrote:
>> shejialuo <[email-masked]> writes:
>> 
>> > We will always try to sort the "packed-refs" increasingly by comparing
>> > the refname. So, we should add checks to verify whether the "packed-refs"
>> > is sorted.
>> 
>> Do this _ONLY_ when the packed-refs file has a header that declares
>> "sorted" trait.  Insisting on a packed-refs file that does not would
>> mean you are stricter than the runtime contract allows.
>> 
>
> From my perspective, we should check whether it is sorted when the
> header has a "sorted" trait.

So the three-lines you wrote is not accurate, then.  That is why I
said that "should add checks" should not be unconditional---we
should not check if the file contents is sorted when "sorted" trait
is not declared.